%define upstream_name    Statistics-TTest
%define	upstream_version 1.1.0

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:	Perl module to perform T-test on 2 independent samples
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Statistics/%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch
BuildRequires:	perl-devel
BuildRequires:	perl(Statistics::Descriptive)   >= 2.60.0
BuildRequires:	perl(Statistics::Distributions) >= 0.70.0



%description
This is the Statistical T-Test module to compare 2 independent
samples. It takes 2 array of point measures, compute the confidence
intervals using the PointEstimation module (which is also included in
this package) and use the T-statistic to test the null hypothesis. If
the null hypothesis is rejected, the difference will be given as the
lower_clm and upper_clm of the TTest object. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

# perl path hack
find -type f | xargs perl -pi -e "s|/usr/local/bin/perl|%{_bindir}/perl|g"

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%{perl_vendorlib}/Statistics/*.pm
%{_mandir}/man3/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-14.mga6
+ Revision: 1033344
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 1.1.0-13.mga6
+ Revision: 971614
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 1.1.0-12.mga6
+ Revision: 892101
- make it noarch thus fixing empty debuginfo

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-11.mga5
+ Revision: 744608
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.0-10.mga5
+ Revision: 686230
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.1.0-9.mga4
+ Revision: 514709
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.1.0-8.mga3
+ Revision: 372773
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 22 2011 jquelin <jquelin> 1.1.0-7.mga1
+ Revision: 32775
- mageia rebuild
- imported package perl-Statistics-TTest


* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.1.0-7mdv2010.1
+ Revision: 505027
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 1.1.0-6mdv2010.0
+ Revision: 430544
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 1.1.0-5mdv2009.0
+ Revision: 258387
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 1.1.0-4mdv2009.0
+ Revision: 246470
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.0-2mdv2008.1
+ Revision: 136347
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.1.0-2mdv2008.0
+ Revision: 86920
- rebuild


* Wed Sep 13 2006 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdv2007.0
- rebuild

* Mon Jul 11 2005 Oden Eriksson <oeriksson@mandriva.com> 1.1.0-1mdk
- initial Mandriva package

